""" Sends OSS the results of the pushpackage process. """
###############################################################################
#Programmer: Orcan Ogetbil    orcan@nbcs.rutgers.edu                          #
#Date: 08/12/2010                                                             #
#Filename: sendspam.py                                                        #
#                                                                             #
#                                                                             #
#       Copyright 2010 Orcan Ogetbil                                          #
#                                                                             #
#    This program is free software; you can redistribute it and/or modify     #
#    it under the terms of the GNU General Public License as published by     #
#    the Free Software Foundation; either version 2 of the License, or        #
#    (at your option) any later version.                                      #
#                                                                             #
#    This program is distributed in the hope that it will be useful,          #
#    but WITHOUT ANY WARRANTY; without even the implied warranty of           #
#    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the            #
#    GNU General Public License for more details.                             #
#                                                                             #
###############################################################################

import sys
import smtplib

def sendspam(app, subject, body, scriptname=""):
    """ Sends mail with the results of a report. """
    fromaddr = app.config.get("report", "from_addr")
    toaddrs = app.config.get("report", "to_addr")
    distname = app.config.get("repositories", "distname_nice")
    distver = app.distver

    msg = """From: %s
To: %s
Subject: %s
%s - %s %s
------------------------------------------------------------------------------

%s

------------------------------------------------------------------------------
This report generated by %s, a proud member of the Rutgers
Repository Tools family.

For more information, see https://github.com/oss/rutgers-repotools.
""" % (fromaddr, toaddrs, subject, scriptname, distname, distver, body, scriptname)

    smtp_host = app.config.get("report", "smtp_host")
    server = smtplib.SMTP(smtp_host)
    server.set_debuglevel(1)
    smtplib.stderr = sys.stdout
    try:
        server.sendmail(fromaddr, toaddrs, msg)
    except Exception, e:
        app.logger.error('Sending mail failed: ' + str(e))
